export declare class ArgumentParser {
    private static WILDCARD;
    private scriptArguments;
    private mapping;
    parse(arguments_: string[]): Array<Script>;
    protected recommendCommand(unrecognisedArguments: string[]): string;
}
export interface Script {
    name: string;
    arguments: string[];
}
export declare class ParseError extends Error {
    readonly parsed: string;
    readonly position: number;
    constructor(message: string, parsed: string, position: number);
}
export declare class UnrecognisedArgumentsError extends Error {
    readonly recommendedScript: string;
    constructor(message: string, recommendedScript: string);
}
