import { Logger } from './logger';
export interface FailsafeConfig {
    cwd: string;
    isTTY: boolean;
}
export interface RunResult {
    exitCode: ExitCode;
    failedScripts: string[];
}
export type ExitCode = number;
export declare class Failsafe {
    private readonly logger;
    private readonly config;
    private readonly env;
    private parser;
    constructor(logger: Logger, config: FailsafeConfig, env: typeof process.env);
    help(): Promise<ExitCode>;
    run(arguments_: string[]): Promise<ExitCode>;
    private summaryOf;
    private runScripts;
    private runScript;
    private linuxAndMacSpawn;
    private windowsSpawn;
    private quoteArgumentsWithSpaces;
    private forceColorEnv;
}
